org.apache.ignite.internal.processors.datastreamer

## Class DataStreamerRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.datastreamer.DataStreamerRequest

All Implemented Interfaces:
  Serializable, Message

    public class DataStreamerRequest
    extends Object
    implements Message

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`DataStreamerRequest()` `Externalizable` support.
`DataStreamerRequest(long reqId, byte[] resTopicBytes, String cacheName, byte[] updaterBytes, Collection<DataStreamerEntry> entries, boolean ignoreDepOwnership, boolean skipStore, boolean keepBinary, DeploymentMode depMode, String sampleClsName, String userVer, Map<UUID,IgniteUuid> ldrParticipants, IgniteUuid clsLdrId, boolean forceLocDep, AffinityTopologyVersion topVer)`

### Method Summary

Methods
`String` `cacheName()`
`IgniteUuid` `classLoaderId()`
`DeploymentMode` `deploymentMode()`
`short` `directType()` Gets message type.
`Collection<DataStreamerEntry>` `entries()`
`byte` `fieldsCount()` Gets fields count.
`boolean` `forceLocalDeployment()`
`boolean` `ignoreDeploymentOwnership()`
`boolean` `keepBinary()`
`void` `onAckReceived()` Method called when ack message received.
`Map<UUID,IgniteUuid>` `participants()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`long` `requestId()`
`byte[]` `responseTopicBytes()`
`String` `sampleClassName()`
`boolean` `skipStore()`
`AffinityTopologyVersion` `topologyVersion()`
`String` `toString()`
`byte[]` `updaterBytes()`
`String` `userVersion()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataStreamerRequest

    public DataStreamerRequest()

`Externalizable` support.

#### DataStreamerRequest

    public DataStreamerRequest(long reqId,
                       byte[] resTopicBytes,
                       @Nullable
                       String cacheName,
                       byte[] updaterBytes,
                       Collection<DataStreamerEntry> entries,
                       boolean ignoreDepOwnership,
                       boolean skipStore,
                       boolean keepBinary,
                       DeploymentMode depMode,
                       String sampleClsName,
                       String userVer,
                       Map<UUID,IgniteUuid> ldrParticipants,
                       IgniteUuid clsLdrId,
                       boolean forceLocDep,
                       @NotNull
                       AffinityTopologyVersion topVer)

Parameters:
  `reqId` - Request ID.
  `resTopicBytes` - Response topic.
  `cacheName` - Cache name.
  `updaterBytes` - Cache receiver.
  `entries` - Entries to put.
  `ignoreDepOwnership` - Ignore ownership.
  `skipStore` - Skip store flag.
  `keepBinary` - Keep binary flag.
  `depMode` - Deployment mode.
  `sampleClsName` - Sample class name.
  `userVer` - User version.
  `ldrParticipants` - Loader participants.
  `clsLdrId` - Class loader ID.
  `forceLocDep` - Force local deployment.
  `topVer` - Topology version.

### Method Detail

#### requestId

    public long requestId()

Returns:
  Request ID.

#### responseTopicBytes

    public byte[] responseTopicBytes()

Returns:
  Response topic.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### updaterBytes

    public byte[] updaterBytes()

Returns:
  Updater.

#### entries

    public Collection<DataStreamerEntry> entries()

Returns:
  Entries to update.

#### ignoreDeploymentOwnership

    public boolean ignoreDeploymentOwnership()

Returns:
  `True` to ignore ownership.

#### skipStore

    public boolean skipStore()

Returns:
  Skip store flag.

#### keepBinary

    public boolean keepBinary()

Returns:
  Keep binary flag.

#### deploymentMode

    public DeploymentMode deploymentMode()

Returns:
  Deployment mode.

#### sampleClassName

    public String sampleClassName()

Returns:
  Sample class name.

#### userVersion

    public String userVersion()

Returns:
  User version.

#### participants

    public Map<UUID,IgniteUuid> participants()

Returns:
  Participants.

#### classLoaderId

    public IgniteUuid classLoaderId()

Returns:
  Class loader ID.

#### forceLocalDeployment

    public boolean forceLocalDeployment()

Returns:
  `True` to force local deployment.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Returns:
  Topology version.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017